oasis.names.tc.saml._2_0.assertion

## Class SubjectConfirmationDataType

- java.lang.Object
- - oasis.names.tc.saml._2_0.assertion.SubjectConfirmationDataType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    KeyInfoConfirmationDataType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:39:19+01:00",
                 comments="JAXB RI v2.3.7")
      public class SubjectConfirmationDataType
      extends Object
      implements Serializable

  Java class for SubjectConfirmationDataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SubjectConfirmationDataType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <any processContents='lax' maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="NotBefore" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="NotOnOrAfter" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="Recipient" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="InResponseTo" type="{http://www.w3.org/2001/XMLSchema}NCName" />
             <attribute name="Address" type="{http://www.w3.org/2001/XMLSchema}string" />
             <anyAttribute processContents='lax' namespace='##other'/>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubjectConfirmationDataType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()` Gets the value of the address property.
    `List<Object>` | `getContent()` Gets the value of the content property.
    `String` | `getInResponseTo()` Gets the value of the inResponseTo property.
    `org.joda.time.DateTime` | `getNotBefore()` Gets the value of the notBefore property.
    `org.joda.time.DateTime` | `getNotOnOrAfter()` Gets the value of the notOnOrAfter property.
    `Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
    `String` | `getRecipient()` Gets the value of the recipient property.
    `void` | `setAddress(String value)` Sets the value of the address property.
    `void` | `setInResponseTo(String value)` Sets the value of the inResponseTo property.
    `void` | `setNotBefore(org.joda.time.DateTime value)` Sets the value of the notBefore property.
    `void` | `setNotOnOrAfter(org.joda.time.DateTime value)` Sets the value of the notOnOrAfter property.
    `void` | `setRecipient(String value)` Sets the value of the recipient property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubjectConfirmationDataType

          public SubjectConfirmationDataType()

  - ### Method Detail

    - #### getContent

          public List<Object> getContent()

      Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `Object` `String` `Element`

    - #### getNotBefore

          public org.joda.time.DateTime getNotBefore()

      Gets the value of the notBefore property.
      Returns:
        possible object is `String`

    - #### setNotBefore

          public void setNotBefore(org.joda.time.DateTime value)

      Sets the value of the notBefore property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNotOnOrAfter

          public org.joda.time.DateTime getNotOnOrAfter()

      Gets the value of the notOnOrAfter property.
      Returns:
        possible object is `String`

    - #### setNotOnOrAfter

          public void setNotOnOrAfter(org.joda.time.DateTime value)

      Sets the value of the notOnOrAfter property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRecipient

          public String getRecipient()

      Gets the value of the recipient property.
      Returns:
        possible object is `String`

    - #### setRecipient

          public void setRecipient(String value)

      Sets the value of the recipient property.
      Parameters:
        `value` - allowed object is `String`

    - #### getInResponseTo

          public String getInResponseTo()

      Gets the value of the inResponseTo property.
      Returns:
        possible object is `String`

    - #### setInResponseTo

          public void setInResponseTo(String value)

      Sets the value of the inResponseTo property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAddress

          public String getAddress()

      Gets the value of the address property.
      Returns:
        possible object is `String`

    - #### setAddress

          public void setAddress(String value)

      Sets the value of the address property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOtherAttributes

          public Map<QName,String> getOtherAttributes()

      Gets a map that contains attributes that aren't bound to any typed property on this class.

      the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

      Returns:
        always non-null

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.